### Method

# Adw NavigationViewreplace_with_tags

since: 1.4

#### Declaration [src]

    void
    adw_navigation_view_replace_with_tags (
      AdwNavigationView* self,
      const char* const* tags,
      int n_tags
    )

#### Description [src]

Replaces the current navigation stack with pages with the tags `tags`.

The last page becomes the visible page.

Replacing the navigation stack has no animation.

If `adw_navigation_view_add()` hasn’t been called for any pages that are no longer in the navigation stack, they are automatically removed.

`n_tags` can be 0, in that case no page will be visible after calling this method. This can be useful for removing all pages from `self`.

The `AdwNavigationView::replaced` signal will be emitted.

See `adw_navigation_view_replace()` and `AdwNavigationPage:tag`.

Available since: 1.4

#### Parameters

`tags`

  Type: An array of `utf8`

  Tags of the pages in the navigation stack.

  The length of the array is specified in the `n_tags` argument.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`n_tags`

  Type: `int`

  The number of tags.